|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QDBusServer Class Reference
[QtDBus module]

The QDBusServer class provides peer-to-peer communication between processes on the same computer. More...

     #include <QDBusServer>

Inherits QObject.

This class was introduced in Qt 4.2.

- List of all members, including inherited members

### Public Functions

- QDBusServer ( const QString & address, QObject * parent = 0 )
- QString address () const
- bool isConnected () const
- QDBusError lastError () const

- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 5 static public members inherited from QObject
- 7 protected functions inherited from QObject

## Detailed Description

The QDBusServer class provides peer-to-peer communication between processes on the same computer.

## Member Function Documentation

### QDBusServer::QDBusServer ( const QString & address, QObject * parent = 0 )

Constructs a QDBusServer with the given address, and the given parent.

### QString QDBusServer::address () const

Returns the address this server is assosiated with.

### bool QDBusServer::isConnected () const

Returns true if this QDBusServer object is connected.

If it isn't connected, you need to call the constructor again.

### QDBusError QDBusServer::lastError () const

Returns the last error that happened in this server.

This function is provided for low-level code.